[REŠENO] AMD drajveri i kernel 3.6.1

Imate problem sa grafičkom karticom, monitorom, periferijama... ovo je mesto za vas

Moderator: Urednik

Post Reply

Administrator
Administrator
offline
User avatar

Posts: 2794
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 08 Oct 2012, 15:05


Nakon što sam sinoć rešio problem sa kompajliranjem kernela 3.6.1, desio se novi problem. Neće da se instalira vlasnički drajver moju grafičku amd radeon hd6750. Na kraju instalacije prikazuje da je imao grešku. Evo šta piše u

Code: Select all

/usr/share/ati/fglrx-install.log

Code: Select all

Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Forcing uninstall of AMD Catalyst(TM) Proprietary Driver.
No integrity verification is done.
restore of system environment completed
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
/usr/share/ati/amd-uninstall.sh completed with 0
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.6.1/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-3.6.1'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_MEM_AllocLinearAddrInterval’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2131:5: error: implicit declaration of function ‘do_mmap’ [-Werror=implicit-function-declaration]
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2131:13: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
cc1: some warnings being treated as errors
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-3.6.1'
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
[Reboot] Kernel Module : mkinitrd
Vlasnički drajveri bolje rade kod mene a osim toga bez vlasničkih drajvera neće da mi radi smplayer. VLC sa druge strane radi.
Znam da sam negde zabrljao u kompajliranju kernela ali ne znam gde, jer mogu da uđem u prethodni kernel i da instaliram drajvere i oni rade. Ali to važi samo za prethodni kernel, za ovaj neće.
Nije mi problem ni da kompajliram kernel ponovo samo kad bi znao koju opciju da uključim.

P.S. Prilikom kompajliranja kernela 3.6.1 nisam pravio nikakve izmene u opcijama, čak ni debug nisam isključio :) Hteo sam samo da vidim kako se ponaša.
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Administrator
Administrator
offline
User avatar

Posts: 2794
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 08 Oct 2012, 18:57


Problem je rešen a evo i na koji način. Nakon što ste skinuli driver za amd grafiku treba skinu ti i ovaj patch
FGLRX-8-98-Kernel-3-5-1.zip
(1.7 KiB) Downloaded 204 times
koji se odnosi na kernel 3.5.1 i novije.

Raspakovati patch u isti direktorijum gde i amd driver. Onda redom unositi komande:

Code: Select all

./amd-driver-installer-12-6-x86.x86_64.run --extract a

Code: Select all

patch a/common/lib/modules/fglrx/build_mod/firegl_public.c Patch-FGLRX-8-98-Kernel-3-5-1_4_FireGL.patch

Code: Select all

patch a/common/lib/modules/fglrx/build_mod/kcl_ioctl.c Patch-FGLRX-8-98-Kernel-3-5-1_4_KCL.patch

Code: Select all

cd a

Code: Select all

sh /usr/share/ati/amd-uninstall.sh --force

Code: Select all

./ati-installer.sh 8.98 --install
Ovaj postupak je uspeo kod mene.
Rešenje je pronađeno ovde.
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Administrator
Administrator
offline
User avatar

Posts: 4098
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 08 Oct 2012, 20:23


Vlasnički drajveri izgleda nisu kompatibilni sa 3.5 i 3.6 kernelima. Verovatno je promena u nekom internom kernel API-ju. Imao sam isti problem i na 3.5.x, ali meni open source drajver većim delom fino radi, tako da se nisam puno igrao sa time. Elem, hvala na linku i ukazanom rešenju. :)



Administrator
Administrator
offline
User avatar

Posts: 2794
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 09 Oct 2012, 01:02


@Bocke

U pravu si za API, na to sam naišao kao problem dok sam tražio rešenje. Sad bi mi bilo malo teže da nađem opet sajt gde sam to pročitao. Nadam se da će raditi i ostalima kao što radi i meni. :beer:
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Administrator
Administrator
offline
User avatar

Posts: 4098
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 10 Oct 2012, 10:24


Danas sam testirao ove zakrpe. Najnovija stabilna verzija ATI drajvera u ovom trenutku je 8.982. Zakrpe prolaze uglavnom ok, ali sa upozorenjem s obzirom da su za stariju verziju drajvera. Jedna promena je odbačena.

Primenio sam ih, ručno ispravio ono što nije htelo i napravio novu zakrpu. Ovo se sad bez greške ili upozorenja primenjuje na 8.982.

Upotreba:

1. Skinite 12.8 verziju AMD Catalyst-a: http://www2.ati.com/drivers/linux/amd-d ... x86_64.zip" onclick="window.open(this.href);return false;.

2. U isti direktorijum preuzmite zakrpu:
ati-8.982-linux-3.5.patch.gz
(1.21 KiB) Downloaded 198 times
3. Otpakujte zip datoteku:

Code: Select all

unzip http://www2.ati.com/drivers/linux/amd-driver-installer-12-8-x86.x86_64.zip
4. U direktorijumu će se pojaviti datoteka: amd-driver-installer-8.982-x86.x86_64. Ovo je shell arhiva i da bi primenili peč potrebno ju je otpakovati:

Code: Select all

amd-driver-installer-8.982-x86.x86_64 --extract ati
5. Primenite zakrpu:

Code: Select all

zcat ati-8.982-linux-3.5.patch.gz | patch -p0
6. Uđite u direktorijum s kodom i otkucajte:

Code: Select all

su
sh ati-installer.sh --buildandinstallpkg
Ovo će kreirati Slackware paket i zatim ga instalirati.

7. Kreirajte datoteku /etc/modprobe.d/radeon-blacklist.conf i kopirajte u nju:

Code: Select all

blacklist radeon
blacklist radeonhd
8. Kreirajte novi xorg.conf koristeći aticonfig alat:

Code: Select all

aticonfig --initial -f
9. Restartujte računar.



Administrator
Administrator
offline
User avatar

Posts: 4098
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 10 Oct 2012, 10:30


Deinstalacija

1. Preimenujte /etc/X11/xorg.conf u /etc/X11/xorg.conf.fglrx

Code: Select all

su
mv /etc/X11/xorg.conf /etc/X11/xorg.conf.fglrx
2. Obrišite /etc/modprobe.d/radeon-blacklist.conf

Code: Select all

rm /etc/modprobe.d/radeon-blacklist.conf
3. Pokrenite :

Code: Select all

/usr/share/ati/amd-uninstall.sh
4. S obzirom da postoji mogućnost da su deinstalacijom obrisane određene datoteke preporučljivo je ponovo instalirati Mesa biblioteke.

Code: Select all

slackpkg reinstall mesa
5. Restartujte računar.

Edit

Dodatna literatura: http://docs.slackware.com/howtos:hardwa ... cs_drivers" onclick="window.open(this.href);return false;



Administrator
Administrator
offline
User avatar

Posts: 2794
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 10 Oct 2012, 10:39


Hvala Bocke za patch i za kvalitetna objašnjenja i uputstva. Volim kad ono što mi treba nađem na našem forumu. Polako mi jedine lokacije za rešavanje problema postaju samo LQ i ovaj forum :)
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Administrator
Administrator
offline
User avatar

Posts: 4098
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 10 Oct 2012, 10:56


Ne smeta da kažem i par utisaka? :)

Kod mene je Radeon HD 5450. Propriatry ATI drajveri podižu FPS u 3D igrama. Tamo gde nije htelo da pređe 60-70 FPS, sa fglrx drajverom je pičilo oko 110 i više. Tu je i loša strana. FGLRX drajver ne podržava KMS. U praksi to znači da je framebuffer (konzola) u niskoj rezoluciji. Čačkao sam malo po netu i rešenje bi moglo biti korišćenje uvesafb drajvera. Koristio sam ga nekad davno sa nvidiom (slična situacija) i mogao bi nekom prilikom da napišem uputstvo.

Pored toga nisam primetio neke velike promene i odlučio sam da se vratim na open source drajver. Mada je to povećanje FPS veeeliko iskušenje. :)



Administrator
Administrator
offline
User avatar

Posts: 2794
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 10 Oct 2012, 11:09


Iskustvo moje sa open source drajverima: neće smplayer nikako da pusti film, vlc radi ali mi smplayer više odgovara; tearing prilikom pomeranja prozora i naravno sve je sporije nego sa vlasničkim drajverima. Grafika je Sapphire Radeon HD6750, na nekoliko različitih distribucija mi je bila ista situacija da bolje rade vlasnički drajveri nego open source. No dobro, tako je situacija kod mene.
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”


Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest